powered by Jive Software

Upgrade 3.9.3 to 4.2.1 (SSO, Ubuntu)


#1

I see the Projects are going better and better and that’s assuring!

Folks, we need to upgrade to 4.2.1 from a 3.9.3 installation. Has anyone else gone that path?
Would it be safer to go on a step by step version update to reach current?

What is usually affected for us is SSO which breaks.

So, what I need is a layout of environment requirements (Spark versions supported, JRE versions supported etc.)

Regards,
Alex


#2

You should be fine to upgrade directly, but depending on how you created your keytab file, you might need to create a new one.


#3

What is the keytab creation requirements?

I also worry about the upgrade of the Archive plugin. Loosing our logs is not an option.

Thanks for the speedy reply :slight_smile:


Alex


#4

the monitoring plugin keeps everything in the database, so you should be fine. we have hit a few instances where older plugins don’t load and have to manually be removed and reinstalled. If you make a backup before upgrading, its usually pretty easy to revert if you run into any major issues.

As far as keytab…it depends on how you made it. if you set the crypto type to des only, than this will break with new version of java. if you set it for rc4, you should be fine.